<template>
  <v-btn
    type="submit"
    color="primary"
    variant="flat"
    class="text-white"
    :loading="props.loading"
    @click="props.action"
    block
  >
    <slot name="label"></slot>
  </v-btn>
</template>

<script lang="ts" setup>

const props = defineProps({
  action: {
    type: Object,
    default: () => Promise<any>,
  },
  loading: {
    type: Boolean,
    default: false,
  },
});

</script>
